# -*- coding: utf-8 -*-

""" Coworker module """

from odoo import models, fields

class Coworker(models.Model):
    """ Coworker model """
    _name = 'coworking.coworker'
    _description = 'Coworker model definition'

    name = fields.Char(required=True)
    firstname = fields.Char('First name', required=True)
    coworker_type = fields.Selection([('staffer', 'Staffer'),
                                      ('worker', 'Worker'), ('member', 'Member'),
                                      ('volunteer', 'Volunteer'),
                                      ('visitor', 'Visitor')])
    company_name = fields.Char('Company')
    job = fields.Char()

    street = fields.Char()
    postal_code = fields.Char()
    city = fields.Char()
    phone_number = fields.Char()
    gsm = fields.Char('GSM')
    email = fields.Char()
    url = fields.Char('URL')
    note = fields.Text()

    is_done = fields.Boolean('Done?')
    is_active = fields.Boolean('Active?', default=True)
